searchNodes=[{"ref":"Ueberauth.Strategy.Feishu.html","title":"Ueberauth.Strategy.Feishu","type":"module","doc":"Provides an Ueberauth strategy for authenticating with Feishu. Setup Include the provider in your configuration for Ueberauth config :ueberauth, Ueberauth, providers: [ feishu: { Ueberauth.Strategy.Feishu, [] } ] Then include the configuration for feishu. config :ueberauth, Ueberauth.Strategy.Feishu.OAuth, client_id: System.get_env(&quot;FEISHU_APPID&quot;), client_secret: System.get_env(&quot;SEISHU_SECRET&quot;) If you haven&#39;t already, create a pipeline and setup routes for your callback handler pipeline :auth do Ueberauth.plug &quot;/auth&quot; end scope &quot;/auth&quot; do pipe_through [:browser, :auth] get &quot;/:provider/callback&quot;, AuthController, :callback end Create an endpoint for the callback where you will handle the Ueberauth.Auth struct defmodule MyApp.AuthController do use MyApp.Web, :controller def callback_phase(%{ assigns: %{ ueberauth_failure: fails } } = conn, _params) do # do things with the failure end def callback_phase(%{ assigns: %{ ueberauth_auth: auth } } = conn, params) do # do things with the auth end end"},{"ref":"Ueberauth.Strategy.Feishu.html#auth/1","title":"Ueberauth.Strategy.Feishu.auth/1","type":"function","doc":""},{"ref":"Ueberauth.Strategy.Feishu.html#credentials/1","title":"Ueberauth.Strategy.Feishu.credentials/1","type":"function","doc":"Includes the credentials from the Feishu response."},{"ref":"Ueberauth.Strategy.Feishu.html#default_options/0","title":"Ueberauth.Strategy.Feishu.default_options/0","type":"function","doc":""},{"ref":"Ueberauth.Strategy.Feishu.html#extra/1","title":"Ueberauth.Strategy.Feishu.extra/1","type":"function","doc":"Stores the raw information (including the token) obtained from the Feishu callback."},{"ref":"Ueberauth.Strategy.Feishu.html#handle_cleanup!/1","title":"Ueberauth.Strategy.Feishu.handle_cleanup!/1","type":"function","doc":"Cleans up the private area of the connection used for passing the raw Feishu response around during the callback."},{"ref":"Ueberauth.Strategy.Feishu.html#handle_request!/1","title":"Ueberauth.Strategy.Feishu.handle_request!/1","type":"function","doc":"Handles the initial redirect to the feishu authentication page. &quot;/auth/feishu&quot; You can also include a state param that feishu will return to you."},{"ref":"Ueberauth.Strategy.Feishu.html#info/1","title":"Ueberauth.Strategy.Feishu.info/1","type":"function","doc":"Fetches the fields to populate the info section of the Ueberauth.Auth struct."},{"ref":"Ueberauth.Strategy.Feishu.html#uid/1","title":"Ueberauth.Strategy.Feishu.uid/1","type":"function","doc":"Fetches the uid field from the Feishu response. This defaults to the option uid_field which in-turn defaults to id"},{"ref":"Ueberauth.Strategy.Feishu.OAuth.html","title":"Ueberauth.Strategy.Feishu.OAuth","type":"module","doc":"An implementation of OAuth2 for feishu. To add your client_id and client_secret include these values in your configuration. config :ueberauth, Ueberauth.Strategy.Feishu.OAuth, client_id: System.get_env(&quot;FEISHU_APPID&quot;), client_secret: System.get_env(&quot;FEISHU_SECRET&quot;)"},{"ref":"Ueberauth.Strategy.Feishu.OAuth.html#authorize_url/2","title":"Ueberauth.Strategy.Feishu.OAuth.authorize_url/2","type":"function","doc":"Generate authorize url"},{"ref":"Ueberauth.Strategy.Feishu.OAuth.html#authorize_url!/2","title":"Ueberauth.Strategy.Feishu.OAuth.authorize_url!/2","type":"function","doc":"Provides the authorize url for the request phase of Ueberauth. No need to call this usually."},{"ref":"Ueberauth.Strategy.Feishu.OAuth.html#client/1","title":"Ueberauth.Strategy.Feishu.OAuth.client/1","type":"function","doc":"Construct a client for requests to Feishu. Optionally include any OAuth2 options here to be merged with the defaults. Ueberauth.Strategy.Feishu.OAuth.client(redirect_uri: &quot;http://localhost:4000/auth/feishu/callback&quot;) This will be setup automatically for you in Ueberauth.Strategy.Feishu. These options are only useful for usage outside the normal callback phase of Ueberauth."},{"ref":"Ueberauth.Strategy.Feishu.OAuth.html#get/4","title":"Ueberauth.Strategy.Feishu.OAuth.get/4","type":"function","doc":"Perform HTTP GET action"},{"ref":"Ueberauth.Strategy.Feishu.OAuth.html#get_token/3","title":"Ueberauth.Strategy.Feishu.OAuth.get_token/3","type":"function","doc":"Get token from Feishu"},{"ref":"Ueberauth.Strategy.Feishu.OAuth.html#get_token!/2","title":"Ueberauth.Strategy.Feishu.OAuth.get_token!/2","type":"function","doc":"Get token"},{"ref":"readme.html","title":"Überauth Feishu","type":"extras","doc":"Überauth Feishu Feishu OAuth2 strategy for Überauth."},{"ref":"readme.html#installation","title":"Überauth Feishu - Installation","type":"extras","doc":"Add :ueberauth_feishu to your list of dependencies in mix.exs: def deps do [{:ueberauth_feishu, github: &quot;edwardzhou/ueberauth_feishu&quot;}] end Add the strategy to your applications: def application do [applications: [:ueberauth_feishu]] end Add Wechat to your Überauth configuration: config :ueberauth, Ueberauth, providers: [ feishu: {Ueberauth.Strategy.Feishu, []} ] Update your provider configuration: config :ueberauth, Ueberauth.Strategy.Feishu.OAuth, client_id: System.get_env(&quot;FEISHU_APPID&quot;), client_secret: System.get_env(&quot;FEISHU_SECRET&quot;) Include the Überauth plug in your controller: defmodule MyApp.AuthController do use MyApp.Web, :controller pipeline :browser do plug Ueberauth ... end end Create the request and callback routes if you haven&#39;t already: scope &quot;/auth&quot;, MyApp do pipe_through :browser get &quot;/:provider/callback&quot;, AuthController, :callback post &quot;/:provider/callback&quot;, AuthController, :callback end You controller needs to implement callbacks to deal with Ueberauth.Auth and Ueberauth.Failure responses. For an example implementation see the Überauth Example application."},{"ref":"readme.html#calling","title":"Überauth Feishu - Calling","type":"extras","doc":"get or post /auth/feishu/callback?code=&lt;auth_code&gt;"},{"ref":"readme.html#unit-test-support","title":"Überauth Feishu - Unit Test Support","type":"extras","doc":"Authorization can be mock in unit test, with specific code &quot;test_code&quot;. Example: describe &quot;new github authentication&quot; do test &quot;create new user&quot;, %{conn: conn} do assert Accounts.find_authentication(@github_params.uid) == nil conn = conn |&gt; assign(:ueberauth_auth, @github_params) |&gt; get(auth_path(conn, :callback, :github), %{&quot;code&quot; =&gt; &quot;test_code&quot;}) assert html_response(conn, 302) assert Accounts.find_authentication(@github_params.uid) != nil end end"}]